- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_client_t

# mongoc_client_new()

## Synopsis

    mongoc_client_t *
    mongoc_client_new (const char *uri_string);

Creates a new mongoc_client_t using the URI string provided.

## Parameters

- `uri_string`: A string containing the MongoDB connection URI.

## Returns

A newly allocated mongoc_client_t if the URI parsed successfully, otherwise `NULL`.

## See Also

mongoc_client_new_from_uri()

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.